Bug 966306 - "Enable WAN Options" missing from Spice console options in UserPortal
"Enable WAN Options" missing from Spice console options in UserPortal
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent (Show other bugs)
3.1.3
Unspecified Unspecified
medium Severity medium
: ---
: 3.2.0
Assigned To: Vinzenz Feenstra [evilissimo]
Pavel Stehlik
virt
:
Depends On: 909059
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 22:35 EDT by Bryan Yount
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 06:24:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Yount 2013-05-22 22:35:56 EDT
Description of problem:
After an undetermined amount of time, the "Enable WAN Options" setting and checkbox were missing from the UserPortal's Spice Console Options dialog box. Only a restart of the ovirt-engine service caused this to re-appear.

Version-Release number of selected component (if applicable):
3.1.0-50

How reproducible:
Intermittent

Steps to Reproduce:
Unknown. The customer noticed it was missing one day.

Expected results:
"Enable WAN Options" should always be visible

Additional Info:
A "service ovirt-engine restart" made the option re-appear in the UserPortal. No logs are available from the incident because the customer does not know when the problem began.
Comment 1 Michal Skrivanek 2013-05-23 08:42:10 EDT
might be the same as recent issues with Guest Agent socket connection. Vinzenz, can you verify?
Comment 3 Vinzenz Feenstra [evilissimo] 2013-05-23 10:15:07 EDT
What I can say is that this _can_ only be related to the guest agent socket problems IF vdsm would have been restarted. However since it was the ovirt-engine service which solved the issue it is not related to that.

Therefore this should be assigned back to some component of the engine
Comment 4 Michal Skrivanek 2013-05-24 06:24:10 EDT
without logs we can't tell anything more. Option's visibility depends on browser and application list supplied by Guest Agent.

Next time it would be great to test whether there are any issues at vdsm level, i.e. whether VDSM is able to get the application list from Guest Agent and there is no issue with communication between VDSM and Engine
Comment 5 Bryan Yount 2013-05-24 17:47:26 EDT
(In reply to Michal Skrivanek from comment #4)
> without logs we can't tell anything more. Option's visibility depends on
> browser and application list supplied by Guest Agent.
> 
> Next time it would be great to test whether there are any issues at vdsm
> level, i.e. whether VDSM is able to get the application list from Guest
> Agent and there is no issue with communication between VDSM and Engine

There is definitely some sort of issue at the vdsm level. My customer was in a hurry to get things back up and running today so they could continue testing, so we didn't try to get the application list but, I filed bug#967136 just now to tie all 3 issues we've seen with vdsm together. We have logs in that BZ as well.

Note You need to log in before you can comment on or make changes to this bug.